Subject: RE: MSVCRT/threads
From: [email-masked] (Mumit Khan)

19 Oct 1998 23:03:09 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Darren Cook <[email-masked]>
Cc: Colin Peters <[email-masked]>, GNU-win32 <[email-masked]>

On Mon, 19 Oct 1998, Darren Cook wrote:

> >>But it still fails with EGCS. After reading the source for process.h I've
> >>added this line:
> >> #define __MSVCRT__ //For EGCS
> >
> >
> >Remove that line, the procedure I describe should do the equivalent for
> >you...
> 
> Thanks, it works :-).

Be careful. As I had mentioned to you in my email, if you use certain
routines out of the target libraries, your program will crash if they'
re not recompiled for MSVCRT. 

> 
> Is the specs file documented anywhere? Is this a win32 specific file, or is
> it used with unix gcc as well?
> 

Documented in the source code of course ;-)

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".